Loading...
Searching...
No Matches
Opm::MpiBuffer< DataType > Class Template Reference

Simplifies handling of buffers to be used in conjunction with MPI. More...

`#include <mpibuffer.hh>`

## Public Member Functions

| MpiBuffer (std::size_t size)
void | resize (std::size_t newSize)
| Set the size of the buffer.
void | send (unsigned peerRank)
| Send the buffer asyncronously to a peer process.
void | wait ()
| Wait until the buffer was send to the peer completely.
void | receive (unsigned peerRank)
| Receive the buffer syncronously from a peer rank.
std::size_t | size () const
| Returns the number of data objects in the buffer.
DataType & | operator[] (std::size_t i)
| Provide access to the buffer data.
const DataType & | operator[] (std::size_t i) const
| Provide access to the buffer data.

## Detailed Description

template<class DataType>
class Opm::MpiBuffer< DataType >

Simplifies handling of buffers to be used in conjunction with MPI.

The documentation for this class was generated from the following file:

- opm/models/parallel/mpibuffer.hh